--- old/usr/src/lib/libnsl/common/mapfile-vers	Mon Jul 17 16:08:15 2017
+++ new/usr/src/lib/libnsl/common/mapfile-vers	Mon Jul 17 16:08:15 2017
@@ -20,7 +20,7 @@
 #
 #
 # Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2017 Nexenta Systems, Inc.  All rights reserved.
 #
 
 #
@@ -39,6 +39,11 @@
 
 $mapfile_version 2
 
+SYMBOL_VERSION ILLUMOS_0.1 {    # Illumos additions
+    global:
+	svc_tp_create_addr;
+} SUNW_1.10;
+
 SYMBOL_VERSION SUNW_1.10 {	# SunOS 5.11 (Solaris 11)
     global:
 	SUNW_1.10;
@@ -467,7 +472,6 @@
 
 SYMBOL_VERSION SUNWprivate_1.5 {
     global:
-	svc_tp_create_addr;
 	clnt_create_service_timed;
 	inet_matchaddr;
 } SUNWprivate_1.4;
--- old/usr/src/man/man3nsl/Makefile	Mon Jul 17 16:08:15 2017
+++ new/usr/src/man/man3nsl/Makefile	Mon Jul 17 16:08:15 2017
@@ -11,7 +11,7 @@
 
 #
 # Copyright 2011, Richard Lowe
-# Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2017 Nexenta Systems, Inc.  All rights reserved.
 #
 
 include		$(SRC)/Makefile.master
@@ -237,6 +237,7 @@
 		svc_sendreply.3nsl			\
 		svc_tli_create.3nsl			\
 		svc_tp_create.3nsl			\
+		svc_tp_create_addr.3nsl			\
 		svc_unreg.3nsl				\
 		svc_unregister.3nsl			\
 		svc_vc_create.3nsl			\
@@ -462,6 +463,7 @@
 svc_raw_create.3nsl			:= LINKSRC = rpc_svc_create.3nsl
 svc_tli_create.3nsl			:= LINKSRC = rpc_svc_create.3nsl
 svc_tp_create.3nsl			:= LINKSRC = rpc_svc_create.3nsl
+svc_tp_create_addr.3nsl			:= LINKSRC = rpc_svc_create.3nsl
 svc_vc_create.3nsl			:= LINKSRC = rpc_svc_create.3nsl
 
 svcerr_auth.3nsl			:= LINKSRC = rpc_svc_err.3nsl
--- old/usr/src/man/man3nsl/rpc_svc_create.3nsl	Mon Jul 17 16:08:16 2017
+++ new/usr/src/man/man3nsl/rpc_svc_create.3nsl	Mon Jul 17 16:08:16 2017
@@ -1,11 +1,11 @@
 '\" te
-.\" Copyright 2016 Nexenta Systems, Inc.  All Rights Reserved.
+.\" Copyright 2017 Nexenta Systems, Inc.  All Rights Reserved.
 .\"  Copyright 1989 AT&T
 .\" Copyright (C) 2005, Sun Microsystems, Inc. All Rights Reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH RPC_SVC_CREATE 3NSL "May 18, 2017"
+.TH RPC_SVC_CREATE 3NSL "Jun 19, 2017"
 .SH NAME
 rpc_svc_create, svc_control, svc_create, svc_destroy, svc_dg_create,
 svc_fd_create, svc_raw_create, svc_tli_create, svc_tp_create,
--- old/usr/src/man/man4/nfs.4	Mon Jul 17 16:08:16 2017
+++ new/usr/src/man/man4/nfs.4	Mon Jul 17 16:08:16 2017
@@ -19,7 +19,7 @@
 .\" Copyright (c) 2004, Sun Microsystems, Inc. All Rights Reserved.
 .\" Copyright 2016 Nexenta Systems, Inc.
 .\"
-.Dd December 16, 2016
+.Dd December 18, 2016
 .Dt NFS 4
 .Os
 .Sh NAME
@@ -187,6 +187,20 @@
 .Nm mountd .
 The default value is
 .Li 16 .
+.It Sy mountd_port Ns = Ns Ar num
+The IP port number on which
+.Nm mountd
+should listen.
+The default value is
+.Li 0 ,
+which means it should use a default binding.
+.It Sy statd_port Ns = Ns Ar num
+The IP port number on which
+.Nm statd
+should listen.
+The default value is
+.Li 0 ,
+which means it should use a default binding.
 .El
 .Ss Setting nfsmapid_domain
 As described above, the setting for
--- old/usr/src/pkg/manifests/system-library.man3nsl.inc	Mon Jul 17 16:08:17 2017
+++ new/usr/src/pkg/manifests/system-library.man3nsl.inc	Mon Jul 17 16:08:17 2017
@@ -11,7 +11,7 @@
 
 #
 # Copyright 2011, Richard Lowe
-# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2017 Nexenta Systems, Inc. All rights reserved.
 #
 
 file path=usr/share/man/man3nsl/dial.3nsl
@@ -263,6 +263,8 @@
 link path=usr/share/man/man3nsl/svc_sendreply.3nsl target=rpc_svc_calls.3nsl
 link path=usr/share/man/man3nsl/svc_tli_create.3nsl target=rpc_svc_create.3nsl
 link path=usr/share/man/man3nsl/svc_tp_create.3nsl target=rpc_svc_create.3nsl
+link path=usr/share/man/man3nsl/svc_tp_create_addr.3nsl \
+    target=rpc_svc_create.3nsl
 link path=usr/share/man/man3nsl/svc_unreg.3nsl target=rpc_svc_reg.3nsl
 link path=usr/share/man/man3nsl/svc_unregister.3nsl target=rpc_soc.3nsl
 link path=usr/share/man/man3nsl/svc_vc_create.3nsl target=rpc_svc_create.3nsl
